%import pyeole.ssha

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

INSERT IGNORE INTO `niveau01` (`id`, `label`, `siren`) VALUES
%if %%is_defined("ninegate_niveau01name")
(-100, '%%to_sql(%%ninegate_niveau01name)', '%%ninegate_niveau01siren');
%else
(-100, '%%to_sql(%%libelle_etab)', '%%numero_etab');
%end if

%if %%getVar("ninegate_syncldap", 'non') == "oui"
INSERT IGNORE INTO `user` (`id`, `niveau01_id`, `username`, `firstname`, `lastname`, `password`, `email`, `avatar`, `role`,`siren`,`visible`,`authlevel`,`belongingpopulation`) VALUES
(-100, -100, 'admin', 'Administrateur', '%%to_sql(%%ninegate_organization)', '', '%%system_mail_to', 'admin.jpg', 'ROLE_ADMIN', '%%ninegate_niveau01siren', 1, 'simple', 'agent');
%else
INSERT IGNORE INTO `user` (`id`, `niveau01_id`, `username`, `firstname`, `lastname`, `password`, `email`, `avatar`, `role`,`siren`,`visible`,`authlevel`,`belongingpopulation`) VALUES
(-100, -100, 'admin', 'Administrateur', '%%to_sql(%%libelle_etab)', 'PWD_CAS', '%%system_mail_to', 'admin.jpg', 'ROLE_ADMIN', '%%numero_etab', 1, 'simple', 'agent');
%end if



TRUNCATE TABLE sidebar;
INSERT IGNORE INTO `sidebar` (`id`, `parent_id`, `roworder`, `label`, `path`, `fonticon`, `permission`, `appactivate`) VALUES
(1000,	NULL,	1000,	'CONFIGURATION',	    NULL,	                                'fa fa-cog',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1010,	1000,	1010,	'Générale',	            'app_core_config_commun',	            'fa fa-table',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1020,	1000,	1020,	'Thème',	            'app_core_config_theme',	            'fa fa-paint-brush',        'ROLE_ADMIN,ROLE_MODO', ''),
(1030,	1000,	1030,	'Modération',           'app_core_config_permmodoprofil',	    'fa fa-balance-scale',      'ROLE_ADMIN',           ''),
(1040,	1000,	1040,	'Fiche Utilisateur',    'app_core_config_datauser',	            'fa fa-cog',                'ROLE_ADMIN,ROLE_MODO', ''),
(1050,	1000,	1050,	'Liste Utilisateurs',   'app_core_config_datausers',            'fa fa-cog',                'ROLE_ADMIN,ROLE_MODO', ''),

(1200,	NULL,	1200,	'ORGANISATION',	        NULL,	                                'fa fa-sitemap',	        'ROLE_ADMIN,ROLE_MODO', ''),
(1210,	1200,	1210,	'Listes Blanche',	    'app_core_config_whitelist',	        'fa fa-tasks',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1220,	1200,	1220,	'Niveau 01',	        'app_core_config_niveau01',	            'fa fa-building',	        'ROLE_ADMIN,ROLE_MODO', ''),
%if %%getVar("ninegate_niveau02view", 'non') == "oui"
(1230,	1200,	1230,	'Niveau 02',	        'app_core_config_niveau02',	            'fa fa-sitemap',	        'ROLE_ADMIN,ROLE_MODO', ''),
%end if
(1240,	1200,	1240,	'Groupes',	            'app_core_config_group',	            'fa fa-users',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1250,	1200,	1250,	'Inscriptions',	        'app_core_config_registration',	        'fa fa-edit',               'ROLE_ADMIN,ROLE_MODO', ''),
(1260,	1200,	1260,	'Utilisateurs',	        'app_core_config_user',	                'fa fa-child',	            'ROLE_ADMIN,ROLE_MODO', ''),

(1500,	NULL,	1500,	'PORTAIL',	            NULL,	                                'fa fa-cubes',	            'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1510,	1500,	1510,	'Modèles de Page',	    'app_portal_config_pagetemplate',       'fa fa-copy',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1520,	1500,	1520,	'Pages',	            'app_portal_config_page',               'fa fa-file',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1530,	1500,	1530,	'Items',	            'app_portal_config_item',               'fa fa-desktop',            'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1540,	1500,	1540,	'Annonces',	            'app_portal_config_alert',              'fa fa-bell',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1550,	1500,	1550,	'Calendriers',          'app_portal_config_calendar',           'fa fa-calendar',           'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1560,	1500,	1560,	'Blogs',                'app_portal_config_blog',               'fa fa-paper-plane',        'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1570,	1500,	1570,	'Projets',              'app_portal_config_project',            'fa fa-suitcase',           'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1580,	1500,	1580,	'Flux',	                'app_portal_config_flux',               'fa fa-rss',                'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1590,	1500,	1590,	'Chartes',	            'app_portal_config_notice',             'fa fa-info',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1600,	1500,	1600,	'Icônes',	            'app_portal_config_icon',               'fa fa-bug',	            'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),

(2500,	NULL,	2500,	'MODULES', 	            NULL,	                                'fa fa-cubes',	            'ROLE_ADMIN,ROLE_MODO', 'module_activate'),
(2510,	2500,	2510,	'Pages',	            'app_portal_config_page',               'fa fa-file',               'ROLE_ADMIN,ROLE_MODO', 'page_activate'),
(2520,	2500,	2520,	'Items',	            'app_portal_config_item',               'fa fa-desktop',            'ROLE_ADMIN,ROLE_MODO', 'item_activate'),
(2530,	2500,	2530,	'Annonces',	            'app_portal_config_alert',              'fa fa-bell',               'ROLE_ADMIN,ROLE_MODO', 'alert_activate'),
(2540,	2500,	2540,	'Calendriers',          'app_portal_config_calendar',           'fa fa-calendar',           'ROLE_ADMIN,ROLE_MODO', 'calendar_activate'),
(2550,	2500,	2550,	'Blogs',                'app_portal_config_blog',               'fa fa-paper-plane',        'ROLE_ADMIN,ROLE_MODO', 'blog_activate'),
(2560,	2500,	2560,	'Projects',             'app_portal_config_project',            'fa fa-suitcase',           'ROLE_ADMIN,ROLE_MODO', 'project_activate'),
(2570,	2500,	2570,	'Flux',	                'app_portal_config_flux',               'fa fa-rss',                'ROLE_ADMIN,ROLE_MODO', 'flux_activate'),
(2580,	2500,	2580,	'Chartes',	            'app_portal_config_notice',             'fa fa-info',               'ROLE_ADMIN,ROLE_MODO', 'notice_activate'),
(2590,	2500,	2590,	'Icônes',	            'app_portal_config_icon',               'fa fa-bug',	            'ROLE_ADMIN,ROLE_MODO', 'module_activate'),

(3000,	NULL,	3000,	'SYNCHRONISATION',      NULL,	                                'fa fa-exchange-alt',       'ROLE_ADMIN,ROLE_MODO', 'syncenvole_activate'),
(3001,	3000,	3001,	'Délégation',           'app_portal_config_syncdelegation',     'fa fa-balance-scale',      'ROLE_ADMIN,ROLE_MODO', 'syncenvole_activate'),
(3110,	3000,	3110,	'Balado',               'app_portal_config_syncbalado',         'fa fa-microphone',         'ROLE_ADMIN,ROLE_MODO', 'widbalado_activate_syncenvole'),
(3112,	3000,	3112,	'CdT',                  'app_portal_config_synccdt',            'fa fa-star',               'ROLE_ADMIN,ROLE_MODO', 'widcdt_activate_syncenvole'),
(3115,	3000,	3115,	'GEPI via Annuaire',    'app_portal_config_syncgepiannu',       'fa fa-tags',               'ROLE_ADMIN,ROLE_MODO', 'widgepi_activate_syncenvole'),
(3116,	3000,	3116,	'GEPI via SIECLE',      'app_portal_config_syncgepisiecle',     'fa fa-tags',               'ROLE_ADMIN,ROLE_MODO', 'widgepi_activate_syncenvole'),
(3120,	3000,	3120,	'Limesurvey',           'app_portal_config_synclimesurvey',     'fa fa-question',           'ROLE_ADMIN,ROLE_MODO', 'widlimesurvey_activate_syncenvole'),
(3130,	3000,	3130,	'Moodle',               'app_portal_config_syncmoodle',         'fa fa-graduation-cap',     'ROLE_ADMIN,ROLE_MODO', 'widmoodle_activate_syncenvole'),
(3140,	3000,	3140,	'Nextcloud',            'app_portal_config_syncnextcloud',      'fa fa-cloud',              'ROLE_ADMIN,ROLE_MODO', 'widnextcloud_activate_syncenvole'),
(3150,	3000,	3150,	'Sacoche via SIECLE',   'app_portal_config_syncsacoche',        'fa fa-suitcase',           'ROLE_ADMIN,ROLE_MODO', 'widsacoche_activate_syncenvole'),
(3160,	3000,	3160,	'Piwik',                'app_portal_config_syncpiwik',          'fa fa-signal',             'ROLE_ADMIN,ROLE_MODO', 'widpiwik_activate_syncenvole'),
(3230,	3000,	3230,	'Wordpress',            'app_portal_config_syncwordpress',      'fab fa-wordpress',         'ROLE_ADMIN,ROLE_MODO', 'widwordpress_activate_syncenvole'),

(6000,	NULL,	6000,	'OUTILS',                NULL,	                                'fa fa-wrench',	            'ROLE_ADMIN,ROLE_MODO', ''),
(6010,	6000,	6010,	'Statistiques',         'app_core_config_statistic',  	        'fa fa-chart-bar',          'ROLE_ADMIN,ROLE_MODO', ''),
(6020,	6000,	6020,	'Mailing',	            'app_core_config_mailing',  	        'fa fa-envelope',           'ROLE_ADMIN,ROLE_MODO', ''),
(6030,	6000,	6030,	'Import Utilisateurs',	'app_core_config_importuser',	        'fa fa-download',           'ROLE_ADMIN,ROLE_MODO', 'importuser_activate'),

(7000,	NULL,	7000,	'CRON',	                NULL,	                                'fa fa-bolt',	            'ROLE_ADMIN,ROLE_MODO', 'cron_activate'),
(7010,	7000,	7010,	'Jobs',	                'app_cron_config',                      'fa fa-bullseye',           'ROLE_ADMIN,ROLE_MODO', 'cron_activate'),
(7020,	7000,	7020,	'Logs / Dump',          'app_cron_config_log',                  'fa fa-list-alt',           'ROLE_ADMIN,ROLE_MODO', 'cron_activate');


DELETE FROM `config` WHERE `changeable` = 0;
INSERT IGNORE INTO `config` (`order`, `visible`, `changeable`, `required`, `type`, `id`, `value`,  `grouped`, `help`) VALUES
('001', 1, 1, 1, 'string', 			'appname',			'Ninegate',												    '',				'Le titre de votre site'),
('002', 1, 0, 1, 'string', 			'version',			'1.0.0',													'',				'Version de l\'application'),
('003', 1, 1, 0, 'string', 			'subappname',		'Portail',										            '',				'Le sous titre de votre site'),
('004', 1, 1, 1, 'logo', 			'logo',		        'uploads/logo/logo.png',		    			            '',				'Le logo de votre site'),
('005', 0, 1, 0, 'theme', 			'theme',		    '',		    			                                    '',				'Le theme de votre site'),
('006', 0, 1, 0, 'datauser',     	'datauser',		    '',		    			                                    '',				'Parametrage des champs utilisateurs : obligatoire / facultatif / caché'),
('007', 0, 1, 0, 'datausers',     	'datausers',	    '',		    			                                    '',				'Parametrage des colonnes visible dans la liste des utilisateurs'),

('010', 1, 1, 1, 'boolean',  		'fgforceconnect',	'0',										                '',				'Forcer la connexion afin de rendre votre site privé'),

('040', 1, 1, 1, 'boolean',         'fgheader',	        '1',		    			                                '',				'Utiliser une image en bannière du site'),
('041', 1, 1, 1, 'header',          'header',	        'uploads/header/header.png',                                'fgheader',		'Image en bannière du site'),
('042', 1, 1, 1, 'integer',         'heightheader',     '100',		    			                                'fgheader',		'Hauteur de la bannière du site'),

('050', 1, 1, 1, 'color', 			'colormain',	    '2c3e50',													'',				'Couleur principale de votre site'),
('051', 1, 1, 1, 'color', 			'fontcolorhover',   'ffffff',													'',				'Couleur de la police sur couleur principale'),
('052', 1, 1, 1, 'color', 			'colorbody',        'ffffff',													'',				'Couleur de fond de vos pages'),

('060', 1, 1, 1, 'font', 			'fontfacetitle',    'Anton-Regular',											'',				'Police des titres de votre site'),
('061', 1, 1, 1, 'font', 			'fontfacebody',     'Helvetica',				    						    '',				'Police générale de votre site'),

%if %%activer_proxy_client == 'oui'
('200', 1, 0, 1, 'boolean', 		'PROXYactivate',	'1',														'',             'Définit un Proxy'),
('201', 1, 0, 1, 'string', 			'PROXYserver',		'%%proxy_client_adresse',									'PROXYactivate','Adresse du Proxy'),
('202', 1, 0, 1, 'string', 			'PROXYport',		'%%proxy_client_port',										'PROXYactivate','Port du Proxy'),
%else
('200', 1, 0, 1, 'boolean',			'PROXYactivate',	'0',														'',             'Définit un Proxy'),
('201', 1, 0, 1, 'string', 			'PROXYserver',		'',															'PROXYactivate','Adresse du Proxy'),
('202', 1, 0, 1, 'string', 			'PROXYport',		'',															'PROXYactivate','Port du Proxy'),
%end if

('500', 1, 1, 1, 'permgroup',		'permgroup',        'ROLE_ANIM',											    '',				'Détermine quel rôle aura la permission de créer des groupes de travail'),
('501', 1, 1, 1, 'permgroup',		'permannu',         'ROLE_USER',											    '',				'Détermine quel rôle aura la permission de voir l\'annuaire'),
('502', 1, 1, 1, 'boolean',		    'permunsubscribe',  '0',											            '',				'Permettre aux utilisateurs de se désinscrire par eux-mêmes des groupes de travail'),
('503', 1, 1, 1, 'boolean',		    'fgnotifgroup',     '1',											            '',				'Activer les notifications mails sur les groupes de travail'),
('504', 1, 1, 1, 'integer',		    'timerefreshnotif', '20',											            '',				'Temps en secondes pour rafraîchir les messages de notifications (0 = désactivé)'),

('600', 1, 1, 1, 'string',		    'labelbookmarkuser','Favoris',											        '',   		    'Titre de la section des items créés par l\'utilisateur, et qui ne sont listés que dans cette section.'),
('601', 1, 1, 1, 'string',		    'labelbookmarkitem','Mes Ressources',   								        '',   		    'Titre de la section des items créés par l\'administrateur ou le modérateur, mis à la disposition de l\'utilisateur, et sélectionnés par ce dernier pour apparaitre dans cette section plutôt que dans leur catégorie d\'origine.');


